**`JAGADEEPAK TENALI`[NAME]** -NL- SAP BODS CONSULTANT -NL- Mobile: **`+91 9030778515`[PHONES_PHONE]** -NL- Email id: **`jagadeepak.tenali@gmail.com`[EMAILS_EMAIL]** -NL- **`Career Summary`[SUMMARY_HEADING]** -NL- Having overall 4.6 years of experience in IT industry with expertise -NL- knowledge in SAP Business Objects Data Services and exposure on HANA in -NL- Data migration and data integration projects. Aspired to pursue challenging -NL- assignments in a growth oriented organization to serve it with sheer -NL- determination and commitment in a pro-active disciplined manner. -NL- **`Professional Summary`[SUMMARY_HEADING]** -NL- Ø Having 4.6 years of total IT experience with relevant experience of 4.1 -NL- years in SAP BODS and SAP HANA in an organization with strong emphasis -NL- in Data Warehousing. -NL- Ø Well experienced in mapping ETL design & defining the technical design of -NL- ETL Frameworks. -NL- Ø Have worked extensively in the integration of SAP Data Services on -NL- various SAP & Non-SAP data sources with RDBMS such as Oracle, SQL -NL- Server, HANA, Netezza and Web Services. -NL- Ø Worked with differentfiles such asflatfiles, .CSVfiles, Excelfiles and XML -NL- files. Also dealt in handling data from Web services. -NL- Ø Capable in designing all the BODS objects such as Projects, Jobs, -NL- Workflows, Dataflows, Scripts and transforms wherever necessary for the -NL- smoothflow of data between different systems. -NL- Ø Proficient enough in handling various Data Integrator and Platform -NL- transforms as required, ensuring that the code gets push down to the -NL- database level to the maximum extent. -NL- Ø Have dealt with Data Services Version management and object movement -NL- between various repositories across different. -NL- Ø Have good knowledge on various data warehousing mechanisms related -NL- to Slowly Changing Dimension (SCD) phenomenon, Surrogate key -NL- assignment and Change Data Capture (CDC). -NL- Ø Have good knowledge in SQL scripting, functions, variables, procedures -NL- and conditional clauses to embed them in the design. -NL- Ø Good knowledge in Error handling and recovery mechanisms making use -NL- of the control/audit tables. -NL- Ø Experienced in Tracing, Debugging and Error Handling of batch jobs -NL- making use of auditing and filtering features in analyzing the dataflow. -NL- Also performed job validations, syntax checks and dry runs to evaluate for -NL- errors, execution timings and other bottlenecks in estimating performance -NL- statistics to optimize andfine tune the job. -NL- Ø Utilized the debugging function adding breakpoints, Try and Catch block, -NL- target table auto-correct load and auto-recovery mechanisms. -NL- Ø Have exposure on Data Services Management console and Central -NL- Management Console regarding RFC configuration and Job server -NL- management, user management and handling the dependency between -NL- jobs by scheduling them. -NL- Ø Have exposure on HANA HDB tables, Procedures, Attribute views, -NL- Analytical views and Calculation views along with Input parameters, -NL- Calculated columns and Restricted columns. -NL- Ø Deft in handling priorities with a bias for action and possess good -NL- analytical, communication and interpersonal skills. -NL- Ø Efficient in providing necessary documentation and assisting in designing -NL- and managing the data migration process. -NL- **`Professional affiliations`[OTHERS_HEADING]** -NL- **`SAP BODS Consultant`[EMPLOYER_ROLE]** in **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]** – 2015’January to -NL- till date. -NL- **`Educational Qualification`[EDUCATION_HEADING]** -NL- Ø **`Master of Technology`[EDUCATION_DEGREE]** in **`Computers and Communications Engineering`[EDUCATION_COURSE]** -NL- from **`Jawaharlal Nehru Technological University`[EDUCATION_INSTITUTE]** (JNTU), Kakinada in -NL- 2014. -NL- Ø **`Bachelor of Engineering`[EDUCATION_DEGREE]** in **`Electronics and Communication Engineering`[EDUCATION_COURSE]** -NL- from **`SRKR Engineering College, Bhimavaram`[EDUCATION_INSTITUTE]** in 2012. -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- Databases : SAP HANA 2.x, MS SQL Server 2008, Netezza -NL- ETL tool : SAP Data Services 4.x -NL- Languages : SQL -NL- **`Project Experience`[OTHERS_HEADING]** -NL- Project - 2 -NL- Client : **`Ericsson`[PROJECT_COMPANY_NAME]** -NL- Project : **`Sell Insights (Sales Area)`[PROJECT_TITLE]** -NL- Role : **`SAP BODS Consultant`[EMPLOYER_ROLE]** -NL- Duration : August 2017 – till date -NL- Environment : SAP Data Services 4.2, SAP HANA 2.x, Netezza, SQL server -NL- 2008, CSV and Excelfiles, DataStage, Web Services -NL- Client Description : **`Ericsson`[PROJECT_COMPANY_NAME]** is a multinational networking and -NL- telecommunication equipment manufacturing company headquartered in -NL- Stockholm, Sweden. Today, they are maximizing customer value by -NL- continuously evolving their business portfolio and leading the ICT industry. -NL- **`Ericsson`[PROJECT_COMPANY_NAME]** has comprehensive industry solutions ranging from Cloud -NL- services and MobileBroadband to Network Design and Optimization. These -NL- exciting new technological advances are transforming the way information is -NL- collected and made available, where data analytics play a key role. -NL- Project Summary: -NL- **`Ericsson`[PROJECT_COMPANY_NAME]** Sales business data need to be migrated to a single platform as -NL- LEDW i.e., SAP HANA which is currently being maintained across different -NL- platforms. SAP Data Services is used as ETL tool to migrate all this data from -NL- various heterogeneous systems as source to HANA as target. Reporting is -NL- done on HANA data consumption layers with Tableau and Microsoft Analysis -NL- Office as reporting tools. Business users will be mostly using the analytical -NL- application Tableau to see predefined and dynamic reports / management -NL- dashboards. -NL- Key Responsibilities: -NL- Ø Understanding Business scenarios of **`Ericsson`[PROJECT_COMPANY_NAME]** Sales information and -NL- implementing them accordingly to meet all the technical and functional -NL- specifications. -NL- Ø Extracted data from various heterogeneous sources like .CSV files, -NL- Excelfiles, Netezza, BW, Web Services, SQL server and HANA. -NL- Ø Created Data Integrator mappings to load the data. These mappings -NL- involved extensive use of simple and complex BODS transforms like -NL- Query, SQL, Case, Validation, Merge, row generation, Table comparison, -NL- History Preserving transforms. -NL- Ø Also used PIVOT Data Integrator Transforms for row and column level -NL- data transformation. -NL- Ø Implemented SCD TYPE2 to preserve historical data without using BODS -NL- transforms and making use of surrogate keys to improve system -NL- performance. -NL- Ø Used LOOKUP functions extensively to derive the dimension keys in -NL- BODS. Also validated the data using Validation Transform for data -NL- auditing. -NL- Ø Have extensively used web services as part of the project. -NL- Ø Applied performance tuning techniques through SAP BODS for Optimal -NL- Performance. -NL- Ø Have worked on code deployment between different environments -NL- making use of Central repository for version management. -NL- Ø Have used audit tables to maintain various statistics about the data in -NL- order to handle job failures and incremental loads. -NL- Ø Created Attribute, Analytical and Calculation Views using database -NL- tables in order to address business requirements. -NL- Ø Created calculated attributes, measures, restricted measures, -NL- calculated columns, filters, input parameters to satisfy reporting -NL- requirements using SAP HANA studio. -NL- Ø Migrated HANA content between various environments using Delivery -NL- Units. -NL- Ø Prepared ETL mapping documents, involved in reviewing the ETL -NL- technical specification documents, identified the gaps and updated the -NL- technical specifications. -NL- Ø Created technical specification documents based on the functional -NL- requirements and have done to unit testing covering most of the test -NL- cases. -NL- Project - 1 -NL- Client : **`Ericsson`[PROJECT_COMPANY_NAME]** -NL- Project : **`Enhancement activities and Production support in -NL- Sales/Supply/Finance areas`[PROJECT_TITLE]** -NL- Role : Support Executive (BODS and HANA) -NL- Duration : July 2015 – July 2017 -NL- Environment : SAP Data Services 4.2, SAP HANA 2.0, SAP BW 7.3, Files, -NL- Oracle 12g, SQL server 2008, SAP Information Steward 4.x, BMC Remedy tool -NL- Key Responsibilities: -NL- Ø Tend to support critical applications related to the various functional -NL- areas likefinance, sourcing, supply, sales etc. -NL- Ø Have worked on various BODS transforms like Query, SQL, Case, -NL- Validation, Merge, row generation, Table comparison, History -NL- Preserving transforms. -NL- Ø Also worked in handling multiples files as source in BODS and -NL- generating variousfile formats as target. -NL- Ø Monitoring the system in a lively manner to prevent data losses and -NL- system availability round the clock and providing proper assistance to -NL- the user in a timely manner upon receiving a request related to the -NL- data availability and reporting requirements. -NL- Ø To ensure proper data transfer from source to the target system -NL- through SAP Data Services, such that right data is available at right -NL- time for Business. -NL- Ø Understanding Business functionality of all the clients’ internal and -NL- external information systems and interrelationships among them. -NL- Ø Assisting in continuous improvement efforts in order to enhance -NL- performance or automate things and provide increased business -NL- intelligence functionality. -NL- Ø Ability to analyze the errors in a proper way andfixing them in timely -NL- manner. Debugging the ETL logic to handle those erroneous cases and -NL- fixing the bugs in the application temporarily by proposing relevant -NL- solutions. Also taking care of the Enhancement activities based on the -NL- requests. -NL- Ø Careful monitoring of the scheduled jobs through Data Services -NL- Management Console Administrator considering the dependency -NL- between the loads to prevent business impact. -NL- Ø Coordinating with various integration teams, Platform teams whenever -NL- necessary to ensure smoothflow of data between all the systems and -NL- also supporting implementation team in handling the system changes -NL- when required. -NL- Ø Participated in testing activities and doing Impact analysis before code -NL- deployment. -NL- Ø Coping up with Change Management and Incident Management -NL- activities to capture all the deployment activities between various -NL- environments. -NL- Ø Taken care of Day light changing activities and upgrade/migration -NL- testing activities. -NL- 